# PS2 Samba Setup for Arch Linux

This script sets up a Samba share specifically configured for use with PlayStation 2 (PS2) SMB loaders like OPL, on an Arch Linux system.

## Features

- Installs Samba if not already present
- Creates a system user `PS2` for share access
- Creates the share directory: `/home/<your-username>/PS2SMB`
- Grants full ACL permissions on the share to `PS2`
- Configures Samba with legacy-compatible protocols (LANMAN1, NT1)
- Enables and starts the Samba service (`smb`)

## Quick One-Liner Install

You can run the entire setup with a single command:

```
curl -s https://git.weexnes.dev/WeeXnes/ps2_samba_arch/raw/branch/master/ps2_samba.sh | sudo bash
```


## Manual Usage

1. Clone the repository:
   ```
   git clone https://git.weexnes.dev/WeeXnes/ps2_samba_arch.git
   cd ps2_samba_arch
   ```

2. Make the script executable:
   ```
   chmod +x ps2_samba.sh
   ```

3. Run it with root privileges:
   ```
   sudo ./ps2_samba.sh
   ```

## After Setup

- Your PS2SMB share will be located at `/home/<your-username>/PS2SMB`
- You can now point your PS2 SMB client (like OPL) to your Arch machine using:
  - **Share Name:** `PS2SMB`
  - **User:** `PS2`
  - **No password required (guest access enabled)**

